﻿Imports System.Data.Services
Imports System.Data.Services.Common
Imports System.ServiceModel.Web
Imports HowDoIEF41.DataAccess

Namespace BlogDataService
	Public Class BlogDataService
		Inherits DataService(Of BlogContext)
		Public Shared Sub InitializeService(ByVal config As DataServiceConfiguration)
			config.SetEntitySetAccessRule("*", EntitySetRights.AllRead)
			config.SetEntitySetAccessRule("Posts", EntitySetRights.WriteAppend Or EntitySetRights.AllRead)
			config.SetEntitySetAccessRule("EdmMetadatas", EntitySetRights.None)
			config.DataServiceBehavior.MaxProtocolVersion = DataServiceProtocolVersion.V3
		End Sub
	End Class
End Namespace
