﻿Imports BlogConsole.BlogService

Namespace BlogConsole
	Friend Class Program

		Shared Sub Main(ByVal args() As String)
			GetBlogs()
			AddPost()
			GetBlogs()
		End Sub

Private Shared Sub GetBlogs()
	Dim svcContext = New BlogService.BlogContext(New Uri("http://localhost:7576/BlogDataService.svc/"))
	For Each blog In svcContext.Blogs
		Console.WriteLine("Title: {0}, Blogger: {1}", blog.Title, blog.BloggerName)
		svcContext.LoadProperty(blog, "Posts")
		Console.WriteLine("   Post Count:{0}", blog.Posts.Count())

	Next blog
	Console.WriteLine("")
	Console.WriteLine("Press any key to continue....")
	Console.WriteLine("")
	Console.ReadKey()
End Sub


Private Shared Sub AddPost()
	Dim svcContext = New BlogContext(New Uri("http://localhost:7576/BlogDataService.svc/"))
	Dim post = New Post With {.BlogId = 2, .Title = "A New Post", .DateCreated = Date.Now}
	svcContext.AddToPosts(post)
	svcContext.SaveChanges()
End Sub

	End Class
End Namespace